
From: Pavel Machek <pavel@ucw.cz>

This fixes types so that sparse has less stuff to complain about.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/power/disk.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/power/disk.c~swsusp-fix-types kernel/power/disk.c
--- 25/kernel/power/disk.c~swsusp-fix-types	2004-12-11 22:25:52.968528656 -0800
+++ 25-akpm/kernel/power/disk.c	2004-12-11 22:25:52.972528048 -0800
@@ -43,7 +43,7 @@ char resume_file[256] = CONFIG_PM_STD_PA
  *	there ain't no turning back.
  */
 
-static void power_down(u32 mode)
+static void power_down(suspend_disk_method_t mode)
 {
 	unsigned long flags;
 	int error = 0;
_
